Bug 98785 - [FORMATTING] Strange Character-Spacing on Mac OS X with justified alignment
Summary: [FORMATTING] Strange Character-Spacing on Mac OS X with justified alignment
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on: HarfBuzz
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-20 16:28 UTC by Jan
Modified: 2016-11-06 20:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot1_LibreOffice_Mac shows the rendering in LibreOffice on Mac OS X. //characterspacing is present (deleted)
2016-03-20 16:28 UTC, Jan
Details
Screenshot2_PDf_MacOSx shows the rendering in an PDF created on Mac OS X. //pdf shows same strange character spacing (599.83 KB, image/png)
2016-03-20 16:29 UTC, Jan
Details
Screenshot3_ODT_from_Mac_on_LibreOffice_Windows shows the File_1_mac_os_x.odt in LibreOffice on Windows 10. //same file like mac os x but no character spacing ?! (38.61 KB, image/png)
2016-03-20 16:30 UTC, Jan
Details
Screenshot4_PDF_from_Mac_on_Windows shows the File_1_mac_os_x.pdf viewed on Windows 10 with LibreOffice. // spacing is present (54.09 KB, image/png)
2016-03-20 16:30 UTC, Jan
Details
Screenshot5_New_Pdf_from_Windows_on_Mac shows the newly exported pdf on Windows 10 from File_1_mac_os_x.odt. Screenshot is taken on Mac OS X (!!!) // everything is fine (deleted)
2016-03-20 16:31 UTC, Jan
Details
File_1_mac_os_x.odt (12.20 KB, application/vnd.oasis.opendocument.text)
2016-03-20 16:32 UTC, Jan
Details
File_1_windows_10.odt (12.58 KB, application/vnd.oasis.opendocument.text)
2016-03-20 16:33 UTC, Jan
Details
File_1_windows_10.pdf (27.94 KB, application/pdf)
2016-03-20 16:33 UTC, Jan
Details
File_1_mac_os_x.pdf (22.05 KB, application/pdf)
2016-03-20 16:33 UTC, Jan
Details
Screenshot5_New_Pdf_from_Windows_on_Mac shows the newly exported pdf on Windows 10 from File_1_mac_os_x.odt. Screenshot is taken on Mac OS X (!!!) // everything is fine (485.06 KB, image/png)
2016-03-20 17:58 UTC, Jan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan 2016-03-20 16:28:49 UTC
Created attachment 123736 [details]
Screenshot1_LibreOffice_Mac shows the rendering in LibreOffice on Mac OS X. //characterspacing is present

Strange Character-Spaces on Mac OS X with justified allignment

Version: 5.0.5.2
Build ID: 55b006a02d247b5f7215fc6ea0fde844b30035b3
Locale: de-DE (de.UTF-8)
Mac OS X 10.11.2 

Modify Page left,right, top 2,5 cm bottom 2,0 cm

Paragraph Style: Based on default Style. Add  Allignment to„justified“ and linespacing to 1,5 lines“

Step 1:
Open LibreOffice Writer.
New Document.

Step 2:
Insert the following text:

of the line? he thought pressing himself back against the wall trying to make himself invisible in the dark, was all that planning and energy wasted? He was dripping with sweat now, cold and wet, he could smell the fear coming off his clothes. Suddenly next to him, with a barely noticeable squeak, a door swung quietly to and fro in the night's breeze. 
Forschungsdesigns" des Teilprojekts G im Rahmen des AERTIGFF Forschungsverbundes (2.3). Could this be the haven he'd prayed for? Slowly he slid toward the door, pressing himself more and more into the wall, into the dark, away from his enemy. Would this door save his hide?


Step 3:
Create New Paragraph Style based on default Style.
Set Font to Arial.
Modify Allginment to "justified" and linespacing to "1.5 lines".
Change Paragraph-Style of the inserted text to the modified "Default Style".

Step 4:
Modify Page-Settings:
Change Page-Margins to: Left,Right,Top to 2,50 cm  Bottom to 2,00 cm

Now the text passage "Forschungsdesigns" des Teilprojekts G im Rahmen des AERTIGFF Forschungsverbundes (2.3)." should look strange. The distance between the single characters is modified.


Exporting the document from LibreOffice to PDF has the same strange spacings between the characters.
Open the same file (send via email) on another Windows 10 System (iMAC with Windows 10 VM in Parallels), with LibreOffice 5.0.5 does not have the spacing-problem. Too, the exported PDF-File on WIndows 10 looks fine.
I also tried this on a older Version of LibreOffice 4.x.

In the following OpenOffice-Board  I found this (german) discussion. From that I understand that this problem is limited to Mac OS X. Windows and Linux is fine with character spacing in justified allignment.
http://de.openoffice.info/viewtopic.php?t=64356

Screenshot1_LibreOffice_Mac shows the rendering in LibreOffice on Mac OS X.
//characterspacing is present

Screenshot2_PDf_MacOSx shows the rendering in an PDF created on Mac OS X.
//pdf shows same strange character spacing

Screenshot3_ODT_from_Mac_on_LibreOffice_Windows shows the File_1_mac_os_x.odt in LibreOffice on Windows 10.
//same file like mac os x but no character spacing ?!

Screenshot4_PDF_from_Mac_on_Windows shows the File_1_mac_os_x.pdf viewed on Windows 10 with LibreOffice.
// spacing is present

Screenshot5_New_Pdf_from_Windows_on_Mac shows the newly exported pdf on Windows 10 from File_1_mac_os_x.odt. Screenshot is taken on Mac OS X (!!!)
// everything is fine

Screenshot6_ODT_from_Windows_on_MAC shows the saved ODT-file from windows in libreOffice on Mac-System
//characterspacing is present 

Attached is

File_1_mac_os_x.odt is the above described text in an ODT-File from Mac OS X
File_1_mac_os_x.pdf is the above described text in an PDF-File from Mac OS X
File_1_windows_10.odt is the same file like File_1_mac_os_x.odt from mac os x copied to windows 10 and newly saved.
File_1_windows_10.pdf is the on windows 10 exported PDF of File_1_windows_10.odt.
Comment 1 Jan 2016-03-20 16:29:43 UTC
Created attachment 123737 [details]
Screenshot2_PDf_MacOSx shows the rendering in an PDF created on Mac OS X. //pdf shows same strange character spacing
Comment 2 Jan 2016-03-20 16:30:18 UTC
Created attachment 123738 [details]
Screenshot3_ODT_from_Mac_on_LibreOffice_Windows shows the File_1_mac_os_x.odt in LibreOffice on Windows 10. //same file like mac os x but no character spacing ?!
Comment 3 Jan 2016-03-20 16:30:56 UTC
Created attachment 123739 [details]
Screenshot4_PDF_from_Mac_on_Windows shows the File_1_mac_os_x.pdf viewed on Windows 10 with LibreOffice. // spacing is present
Comment 4 Jan 2016-03-20 16:31:25 UTC
Created attachment 123740 [details]
Screenshot5_New_Pdf_from_Windows_on_Mac shows the newly exported pdf on Windows 10 from File_1_mac_os_x.odt. Screenshot is taken on Mac OS X (!!!) // everything is fine
Comment 5 Jan 2016-03-20 16:32:09 UTC
Created attachment 123741 [details]
File_1_mac_os_x.odt
Comment 6 Jan 2016-03-20 16:33:01 UTC
Created attachment 123742 [details]
File_1_windows_10.odt
Comment 7 Jan 2016-03-20 16:33:28 UTC
Created attachment 123743 [details]
File_1_windows_10.pdf
Comment 8 Jan 2016-03-20 16:33:56 UTC
Created attachment 123744 [details]
File_1_mac_os_x.pdf
Comment 9 V Stuart Foote 2016-03-20 17:19:02 UTC
(In reply to Jan from comment #4)
> Created attachment 123740 [details]
> Screenshot5_New_Pdf_from_Windows_on_Mac shows the newly exported pdf on
> Windows 10 from File_1_mac_os_x.odt. Screenshot is taken on Mac OS X (!!!)
> // everything is fine

Think you picked the wrong screen clip to upload as attachement 123740
Comment 10 Jan 2016-03-20 17:56:31 UTC
Comment on attachment 123740 [details]
Screenshot5_New_Pdf_from_Windows_on_Mac shows the newly exported pdf on Windows 10 from File_1_mac_os_x.odt. Screenshot is taken on Mac OS X (!!!) // everything is fine

wrong file
Comment 11 Jan 2016-03-20 17:58:14 UTC
Created attachment 123747 [details]
Screenshot5_New_Pdf_from_Windows_on_Mac shows the newly exported pdf on Windows 10 from File_1_mac_os_x.odt. Screenshot is taken on Mac OS X (!!!) // everything is fine
Comment 12 jani 2016-03-23 15:43:29 UTC
The content of attachment 123736 [details] has been deleted for the following reason:

Deleted on request from the submitter.
Comment 13 jani 2016-03-23 17:21:47 UTC
The content of attachment 123740 [details] has been deleted for the following reason:

delete
Comment 14 Buovjaga 2016-04-03 13:24:29 UTC
Reproduced with steps.

Not reproduced on Linux, so Mac-only.

Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 4; OS Version: Mac OS X 10.11.4; UI Render: default; 
Locale: en-US (en.UTF-8)
Comment 15 eisa01 2016-11-06 19:53:04 UTC
This is fixed by bug 89870, there's no longer any weird spacing between the characters.

Tested by switching the text layout engine between old and new

Version: 5.3.0.0.alpha1+
Build ID: 17e9dc436bc6ad8d3a5bbde15d4d47262650aa2c
CPU Threads: 2; OS Version: Mac OS X 10.12; UI Render: default; Layout Engine: new; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-11-06_01:25:01
Locale: en-US (en_NO.UTF-8); Calc: group